<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>IntList (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="IntList (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/IntList.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/util/Internal.html" title="annotation in org.apache.poi.util"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/util/IntMapper.html" title="class in org.apache.poi.util"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/util/IntList.html" target="_top">Frames</a></li>
        <li><a href="IntList.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.util</div>
    <h2 title="Class IntList" class="title">Class IntList</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.util.IntList</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">IntList</span>
extends java.lang.Object</pre>
                <div class="block">A List of int's; as full an implementation of the java.util.List
                    interface as possible, with an eye toward minimal creation of
                    objects

                    the mimicry of List is as follows:
                    <ul>
                        <li> if possible, operations designated 'optional' in the List
                            interface are attempted
                        <li> wherever the List interface refers to an Object, substitute
                            int
                        <li> wherever the List interface refers to a Collection or List,
                            substitute IntList
                    </ul>

                    the mimicry is not perfect, however:
                    <ul>
                        <li> operations involving Iterators or ListIterators are not
                            supported
                        <li> remove(Object) becomes removeValue to distinguish it from
                            remove(int index)
                        <li> subList is not supported
                    </ul>
                </div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Marc Johnson</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/IntList.html#IntList--">IntList</a></span>()</code>
                                    <div class="block">create an IntList of default size</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/IntList.html#IntList-int-">IntList</a></span>(int&nbsp;initialCapacity)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/IntList.html#IntList-org.apache.poi.util.IntList-">IntList</a></span>(<a
                                        href="../../../../org/apache/poi/util/IntList.html"
                                        title="class in org.apache.poi.util">IntList</a>&nbsp;list)</code>
                                    <div class="block">create a copy of an existing IntList</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/IntList.html#add-int-">add</a></span>(int&nbsp;value)</code>
                                    <div class="block">Appends the specified element to the end of this list</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/IntList.html#add-int-int-">add</a></span>(int&nbsp;index,
                                    int&nbsp;value)</code>
                                    <div class="block">add the specified value at the specified index</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/IntList.html#addAll-int-org.apache.poi.util.IntList-">addAll</a></span>(int&nbsp;index,
                                    <a href="../../../../org/apache/poi/util/IntList.html"
                                       title="class in org.apache.poi.util">IntList</a>&nbsp;c)</code>
                                    <div class="block">Inserts all of the elements in the specified collection into
                                        this list at the specified position.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/IntList.html#addAll-org.apache.poi.util.IntList-">addAll</a></span>(<a
                                        href="../../../../org/apache/poi/util/IntList.html"
                                        title="class in org.apache.poi.util">IntList</a>&nbsp;c)</code>
                                    <div class="block">Appends all of the elements in the specified collection to the
                                        end of this list, in the order that they are returned by the
                                        specified collection's iterator.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/IntList.html#clear--">clear</a></span>()</code>
                                    <div class="block">Removes all of the elements from this list.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/IntList.html#contains-int-">contains</a></span>(int&nbsp;o)</code>
                                    <div class="block">Returns true if this list contains the specified element.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/IntList.html#containsAll-org.apache.poi.util.IntList-">containsAll</a></span>(<a
                                        href="../../../../org/apache/poi/util/IntList.html"
                                        title="class in org.apache.poi.util">IntList</a>&nbsp;c)</code>
                                    <div class="block">Returns true if this list contains all of the elements of the
                                        specified collection.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/IntList.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;o)</code>
                                    <div class="block">Compares the specified object with this list for equality.</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/IntList.html#get-int-">get</a></span>(int&nbsp;index)</code>
                                    <div class="block">Returns the element at the specified position in this list.</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/IntList.html#hashCode--">hashCode</a></span>()</code>
                                    <div class="block">Returns the hash code value for this list.</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/IntList.html#indexOf-int-">indexOf</a></span>(int&nbsp;o)</code>
                                    <div class="block">Returns the index in this list of the first occurrence of the
                                        specified element, or -1 if this list does not contain this
                                        element.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/IntList.html#isEmpty--">isEmpty</a></span>()</code>
                                    <div class="block">Returns true if this list contains no elements.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/IntList.html#lastIndexOf-int-">lastIndexOf</a></span>(int&nbsp;o)</code>
                                    <div class="block">Returns the index in this list of the last occurrence of the
                                        specified element, or -1 if this list does not contain this
                                        element.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/IntList.html#remove-int-">remove</a></span>(int&nbsp;index)</code>
                                    <div class="block">Removes the element at the specified position in this list.</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/IntList.html#removeAll-org.apache.poi.util.IntList-">removeAll</a></span>(<a
                                        href="../../../../org/apache/poi/util/IntList.html"
                                        title="class in org.apache.poi.util">IntList</a>&nbsp;c)</code>
                                    <div class="block">Removes from this list all the elements that are contained in
                                        the specified collection
                                    </div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/IntList.html#removeValue-int-">removeValue</a></span>(int&nbsp;o)</code>
                                    <div class="block">Removes the first occurrence in this list of the specified
                                        element (optional operation).
                                    </div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/IntList.html#retainAll-org.apache.poi.util.IntList-">retainAll</a></span>(<a
                                        href="../../../../org/apache/poi/util/IntList.html"
                                        title="class in org.apache.poi.util">IntList</a>&nbsp;c)</code>
                                    <div class="block">Retains only the elements in this list that are contained in
                                        the specified collection.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/IntList.html#set-int-int-">set</a></span>(int&nbsp;index,
                                    int&nbsp;element)</code>
                                    <div class="block">Replaces the element at the specified position in this list
                                        with the specified element
                                    </div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/IntList.html#size--">size</a></span>()</code>
                                    <div class="block">Returns the number of elements in this list.</div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>int[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/IntList.html#toArray--">toArray</a></span>()</code>
                                    <div class="block">Returns an array containing all of the elements in this list in
                                        proper sequence.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>int[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/IntList.html#toArray-int:A-">toArray</a></span>(int[]&nbsp;a)</code>
                                    <div class="block">Returns an array containing all of the elements in this list in
                                        proper sequence.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="IntList--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>IntList</h4>
                                <pre>public&nbsp;IntList()</pre>
                                <div class="block">create an IntList of default size</div>
                            </li>
                        </ul>
                        <a name="IntList-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>IntList</h4>
                                <pre>public&nbsp;IntList(int&nbsp;initialCapacity)</pre>
                            </li>
                        </ul>
                        <a name="IntList-org.apache.poi.util.IntList-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>IntList</h4>
                                <pre>public&nbsp;IntList(<a href="../../../../org/apache/poi/util/IntList.html"
                                                            title="class in org.apache.poi.util">IntList</a>&nbsp;list)</pre>
                                <div class="block">create a copy of an existing IntList</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>list</code> - the existing IntList</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="add-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>add</h4>
                                <pre>public&nbsp;void&nbsp;add(int&nbsp;index,
                int&nbsp;value)</pre>
                                <div class="block">add the specified value at the specified index</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - the index where the new value is to be added</dd>
                                    <dd><code>value</code> - the new value</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IndexOutOfBoundsException</code> - if the index is out of
                                        range (index < 0 || index > size()).
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="add-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>add</h4>
                                <pre>public&nbsp;boolean&nbsp;add(int&nbsp;value)</pre>
                                <div class="block">Appends the specified element to the end of this list</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - element to be appended to this list.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true (as per the general contract of the Collection.add
                                        method).
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addAll-org.apache.poi.util.IntList-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addAll</h4>
                                <pre>public&nbsp;boolean&nbsp;addAll(<a
                                        href="../../../../org/apache/poi/util/IntList.html"
                                        title="class in org.apache.poi.util">IntList</a>&nbsp;c)</pre>
                                <div class="block">Appends all of the elements in the specified collection to the
                                    end of this list, in the order that they are returned by the
                                    specified collection's iterator. The behavior of this
                                    operation is unspecified if the specified collection is
                                    modified while the operation is in progress. (Note that this
                                    will occur if the specified collection is this list, and it's
                                    nonempty.)
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>c</code> - collection whose elements are to be added to this
                                        list.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if this list changed as a result of the call.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addAll-int-org.apache.poi.util.IntList-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addAll</h4>
                                <pre>public&nbsp;boolean&nbsp;addAll(int&nbsp;index,
                      <a href="../../../../org/apache/poi/util/IntList.html" title="class in org.apache.poi.util">IntList</a>&nbsp;c)</pre>
                                <div class="block">Inserts all of the elements in the specified collection into
                                    this list at the specified position. Shifts the element
                                    currently at that position (if any) and any subsequent elements
                                    to the right (increases their indices). The new elements will
                                    appear in this list in the order that they are returned by the
                                    specified collection's iterator. The behavior of this
                                    operation is unspecified if the specified collection is
                                    modified while the operation is in progress. (Note that this
                                    will occur if the specified collection is this list, and it's
                                    nonempty.)
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - index at which to insert first element from the
                                        specified collection.
                                    </dd>
                                    <dd><code>c</code> - elements to be inserted into this list.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if this list changed as a result of the call.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IndexOutOfBoundsException</code> - if the index is out of
                                        range (index < 0 || index > size())
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="clear--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>clear</h4>
                                <pre>public&nbsp;void&nbsp;clear()</pre>
                                <div class="block">Removes all of the elements from this list. This list will be
                                    empty after this call returns (unless it throws an exception).
                                </div>
                            </li>
                        </ul>
                        <a name="contains-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>contains</h4>
                                <pre>public&nbsp;boolean&nbsp;contains(int&nbsp;o)</pre>
                                <div class="block">Returns true if this list contains the specified element. More
                                    formally, returns true if and only if this list contains at
                                    least one element e such that o == e
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>o</code> - element whose presence in this list is to be tested.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if this list contains the specified element.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="containsAll-org.apache.poi.util.IntList-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>containsAll</h4>
                                <pre>public&nbsp;boolean&nbsp;containsAll(<a
                                        href="../../../../org/apache/poi/util/IntList.html"
                                        title="class in org.apache.poi.util">IntList</a>&nbsp;c)</pre>
                                <div class="block">Returns true if this list contains all of the elements of the
                                    specified collection.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>c</code> - collection to be checked for containment in this list.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if this list contains all of the elements of the
                                        specified collection.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="equals-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>equals</h4>
                                <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;o)</pre>
                                <div class="block">Compares the specified object with this list for equality.
                                    Returns true if and only if the specified object is also a
                                    list, both lists have the same size, and all corresponding
                                    pairs of elements in the two lists are equal. (Two elements e1
                                    and e2 are equal if e1 == e2.) In other words, two lists are
                                    defined to be equal if they contain the same elements in the
                                    same order. This definition ensures that the equals method
                                    works properly across different implementations of the List
                                    interface.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>o</code> - the object to be compared for equality with this list.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if the specified object is equal to this list.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="get-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>get</h4>
                                <pre>public&nbsp;int&nbsp;get(int&nbsp;index)</pre>
                                <div class="block">Returns the element at the specified position in this list.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - index of element to return.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the element at the specified position in this list.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IndexOutOfBoundsException</code> - if the index is out of
                                        range (index < 0 || index >= size()).
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hashCode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hashCode</h4>
                                <pre>public&nbsp;int&nbsp;hashCode()</pre>
                                <div class="block">Returns the hash code value for this list. The hash code of a
                                    list is defined to be the result of the following calculation:

                                    <code>
                                        hashCode = 1;
                                        Iterator i = list.iterator();
                                        while (i.hasNext()) {
                                        Object obj = i.next();
                                        hashCode = 31*hashCode + (obj==null ? 0 : obj.hashCode());
                                        }
                                    </code>

                                    This ensures that list1.equals(list2) implies that
                                    list1.hashCode()==list2.hashCode() for any two lists, list1 and
                                    list2, as required by the general contract of Object.hashCode.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the hash code value for this list.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="indexOf-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>indexOf</h4>
                                <pre>public&nbsp;int&nbsp;indexOf(int&nbsp;o)</pre>
                                <div class="block">Returns the index in this list of the first occurrence of the
                                    specified element, or -1 if this list does not contain this
                                    element. More formally, returns the lowest index i such that
                                    (o == get(i)), or -1 if there is no such index.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>o</code> - element to search for.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the index in this list of the first occurrence of the
                                        specified element, or -1 if this list does not contain
                                        this element.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isEmpty--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isEmpty</h4>
                                <pre>public&nbsp;boolean&nbsp;isEmpty()</pre>
                                <div class="block">Returns true if this list contains no elements.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if this list contains no elements.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="lastIndexOf-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>lastIndexOf</h4>
                                <pre>public&nbsp;int&nbsp;lastIndexOf(int&nbsp;o)</pre>
                                <div class="block">Returns the index in this list of the last occurrence of the
                                    specified element, or -1 if this list does not contain this
                                    element. More formally, returns the highest index i such that
                                    (o == get(i)), or -1 if there is no such index.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>o</code> - element to search for.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the index in this list of the last occurrence of the
                                        specified element, or -1 if this list does not contain
                                        this element.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="remove-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>remove</h4>
                                <pre>public&nbsp;int&nbsp;remove(int&nbsp;index)</pre>
                                <div class="block">Removes the element at the specified position in this list.
                                    Shifts any subsequent elements to the left (subtracts one from
                                    their indices). Returns the element that was removed from the
                                    list.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - the index of the element to removed.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the element previously at the specified position.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IndexOutOfBoundsException</code> - if the index is out of
                                        range (index < 0 || index >= size()).
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="removeValue-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeValue</h4>
                                <pre>public&nbsp;boolean&nbsp;removeValue(int&nbsp;o)</pre>
                                <div class="block">Removes the first occurrence in this list of the specified
                                    element (optional operation). If this list does not contain
                                    the element, it is unchanged. More formally, removes the
                                    element with the lowest index i such that (o.equals(get(i)))
                                    (if such an element exists).
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>o</code> - element to be removed from this list, if present.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if this list contained the specified element.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="removeAll-org.apache.poi.util.IntList-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeAll</h4>
                                <pre>public&nbsp;boolean&nbsp;removeAll(<a
                                        href="../../../../org/apache/poi/util/IntList.html"
                                        title="class in org.apache.poi.util">IntList</a>&nbsp;c)</pre>
                                <div class="block">Removes from this list all the elements that are contained in
                                    the specified collection
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>c</code> - collection that defines which elements will be removed
                                        from this list.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if this list changed as a result of the call.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="retainAll-org.apache.poi.util.IntList-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>retainAll</h4>
                                <pre>public&nbsp;boolean&nbsp;retainAll(<a
                                        href="../../../../org/apache/poi/util/IntList.html"
                                        title="class in org.apache.poi.util">IntList</a>&nbsp;c)</pre>
                                <div class="block">Retains only the elements in this list that are contained in
                                    the specified collection. In other words, removes from this
                                    list all the elements that are not contained in the specified
                                    collection.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>c</code> - collection that defines which elements this set will
                                        retain.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if this list changed as a result of the call.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="set-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>set</h4>
                                <pre>public&nbsp;int&nbsp;set(int&nbsp;index,
               int&nbsp;element)</pre>
                                <div class="block">Replaces the element at the specified position in this list
                                    with the specified element
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - index of element to replace.</dd>
                                    <dd><code>element</code> - element to be stored at the specified position.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the element previously at the specified position.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IndexOutOfBoundsException</code> - if the index is out of
                                        range (index < 0 || index >= size()).
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="size--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>size</h4>
                                <pre>public&nbsp;int&nbsp;size()</pre>
                                <div class="block">Returns the number of elements in this list. If this list
                                    contains more than Integer.MAX_VALUE elements, returns
                                    Integer.MAX_VALUE.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the number of elements in this IntList</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toArray--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toArray</h4>
                                <pre>public&nbsp;int[]&nbsp;toArray()</pre>
                                <div class="block">Returns an array containing all of the elements in this list in
                                    proper sequence. Obeys the general contract of the
                                    Collection.toArray method.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an array containing all of the elements in this list in
                                        proper sequence.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toArray-int:A-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>toArray</h4>
                                <pre>public&nbsp;int[]&nbsp;toArray(int[]&nbsp;a)</pre>
                                <div class="block">Returns an array containing all of the elements in this list in
                                    proper sequence. Obeys the general contract of the
                                    Collection.toArray(Object[]) method.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>a</code> - the array into which the elements of this list are to
                                        be stored, if it is big enough; otherwise, a new array
                                        is allocated for this purpose.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an array containing the elements of this list.</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/IntList.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/util/Internal.html" title="annotation in org.apache.poi.util"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/util/IntMapper.html" title="class in org.apache.poi.util"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/util/IntList.html" target="_top">Frames</a></li>
        <li><a href="IntList.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
